<?php
/*
 Return list of publications 
*/
function Publications_items ($level, $publications_title,$Itemid,$params) {
#get parameters of the integrator
  $priority=$params->get( 'priority', '' ) ;
  $changefreq=$params->get( 'changefreq', '' );
  $show_item_icons=intval($params->get( 'show_item_icons', '1' )) ;
  
  $db = JFactory::getDBO();
  $publications_title=$db->getEscaped($publications_title);
  
  $db->setQuery("SELECT * FROM #__categories WHERE title = '$publications_title'");
  $item=$db->loadObject( NULL );
  $id=$item->id;
  $db->setQuery("SELECT * FROM #__content WHERE catid=$id  ORDER BY title DESC");
  $items=$db->loadObjectList();
  $lev=$level+1;
  
  
  if (count($items!=0)) {
    foreach ($items as $item) {
      
      /* setting parameters of an element */
      $link="index.php?option=com_content&view=article&id=".$item->id;
      $element->name = $item->title;
      $element->link = $link;
      $element->level = $lev;
      $element->priority = $priority;
      $element->changefreq= $changefreq;
      if ($item->modified> $item->created) 
	$element->lastmod =$item->modified; 
      else 
	$element->lastmod = $item->created;
      if ($show_item_icons) $element->image = 'content_article.gif'; else $element->image='none';
      $element->icon_path='/plugins/com_sefservicemap/';
      
      /* add the element a map */
      AddExtMenuItem ($element);
    }
  }
}
/* Start */
function com_publications_bot ($level,$link,$Itemid,$params) {
  $view = smGetParam($link,'view','');
  #read $publications_title variable
  $file=JPATH_COMPONENT_ADMINISTRATOR.DS.'../com_'.$view.DS.'publications_settings.php';
  if(file_exists($file))
    require($file);  
else     
  JError::raiseError( 404, "I can't open '$file'<br /> Probably the 'publications' component is not installed");
  
  if ($view=='publications') Publications_items ($level,$publications_title,$Itemid,$params);
}
?>
